package com.ruoyi.eas.service;

import java.util.List;
import com.ruoyi.eas.domain.BaseDirection;

/**
 * 学科Service接口
 * 
 * @author ruoyi
 * @date 2023-03-02
 */
public interface IBaseDirectionService 
{
    /**
     * 查询学科
     * 
     * @param id 学科主键
     * @return 学科
     */
    public BaseDirection selectBaseDirectionById(Long id);

    /**
     * 查询学科列表
     * 
     * @param baseDirection 学科
     * @return 学科集合
     */
    public List<BaseDirection> selectBaseDirectionList(BaseDirection baseDirection);

    /**
     * 新增学科
     * 
     * @param baseDirection 学科
     * @return 结果
     */
    public int insertBaseDirection(BaseDirection baseDirection);

    /**
     * 修改学科
     * 
     * @param baseDirection 学科
     * @return 结果
     */
    public int updateBaseDirection(BaseDirection baseDirection);

    /**
     * 批量删除学科
     * 
     * @param ids 需要删除的学科主键集合
     * @return 结果
     */
    public int deleteBaseDirectionByIds(Long[] ids);

    /**
     * 删除学科信息
     * 
     * @param id 学科主键
     * @return 结果
     */
    public int deleteBaseDirectionById(Long id);
}
