package com.ruoyi.eas.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.eas.mapper.BaseDirectionMapper;
import com.ruoyi.eas.domain.BaseDirection;
import com.ruoyi.eas.service.IBaseDirectionService;

/**
 * 学科Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-03-02
 */
@Service
public class BaseDirectionServiceImpl implements IBaseDirectionService 
{
    @Autowired
    private BaseDirectionMapper baseDirectionMapper;

    /**
     * 查询学科
     * 
     * @param id 学科主键
     * @return 学科
     */
    @Override
    public BaseDirection selectBaseDirectionById(Long id)
    {
        return baseDirectionMapper.selectBaseDirectionById(id);
    }

    /**
     * 查询学科列表
     * 
     * @param baseDirection 学科
     * @return 学科
     */
    @Override
    public List<BaseDirection> selectBaseDirectionList(BaseDirection baseDirection)
    {
        return baseDirectionMapper.selectBaseDirectionList(baseDirection);
    }

    /**
     * 新增学科
     * 
     * @param baseDirection 学科
     * @return 结果
     */
    @Override
    public int insertBaseDirection(BaseDirection baseDirection)
    {
        return baseDirectionMapper.insertBaseDirection(baseDirection);
    }

    /**
     * 修改学科
     * 
     * @param baseDirection 学科
     * @return 结果
     */
    @Override
    public int updateBaseDirection(BaseDirection baseDirection)
    {
        return baseDirectionMapper.updateBaseDirection(baseDirection);
    }

    /**
     * 批量删除学科
     * 
     * @param ids 需要删除的学科主键
     * @return 结果
     */
    @Override
    public int deleteBaseDirectionByIds(Long[] ids)
    {
        return baseDirectionMapper.deleteBaseDirectionByIds(ids);
    }

    /**
     * 删除学科信息
     * 
     * @param id 学科主键
     * @return 结果
     */
    @Override
    public int deleteBaseDirectionById(Long id)
    {
        return baseDirectionMapper.deleteBaseDirectionById(id);
    }
}
